<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<link rel="stylesheet" th:href="@{/css/bootstrap.min.css}">
<link rel="stylesheet" th:href="@{/css/main.css}">
<script th:src="@{/js/bootstrap.min.js}" ></script>
<head>
    <meta charset="UTF-8">
    <title>View customers</title>
</head>
<body>
<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <a class="navbar-brand" href="/"><img style="width: 35px" th:src="@{/img/thymeleaf.png}" alt=""></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="/">Home</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/customers">View <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/add-customers">Add</a>
            </li>
        </ul>
    </div>
</nav>

<div class="container inner-padded">
    <div class="row justify-content-center align-items-center" style="padding-bottom: 2em;">
        <h1 class="display-3">Existing customers</h1>

    </div>
    <div class="row">
        <div class="col-sm-4" th:each="cust:${customers}">
            <div class="card shadow-lg p-3 mb-5 bg-white rounded">
                <div class="card-body">
                    <h5 class="card-title" th:text="${cust.getContactName()}"></h5>
                    <a class="btn btn-success" th:href="'/customers/' + ${cust.getCustomerId()}">View</a>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>